org.apache.xerces.impl.dv

## Class InvalidDatatypeFacetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.xerces.impl.dv.DatatypeException
      - - org.apache.xerces.impl.dv.InvalidDatatypeFacetException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidDatatypeFacetException
    extends DatatypeException

Datatype exception for invalid facet. This exception is only used by schema datatypes.

Version:
  $Id: InvalidDatatypeFacetException.java 446751 2006-09-15 21:54:06Z mrglavas $
Author:
  Sandy Gao, IBM
See Also:
  Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

### Fields inherited from class org.apache.xerces.impl.dv.DatatypeException

`args, key`

### Constructor Summary

Constructors
Constructor and Description
`InvalidDatatypeFacetException(java.lang.String key, java.lang.Object[] args)` Create a new datatype exception by providing an error code and a list of error message substitution arguments.

### Method Summary

### Methods inherited from class org.apache.xerces.impl.dv.DatatypeException

`getArgs, getKey, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidDatatypeFacetException

    public InvalidDatatypeFacetException(java.lang.String key,
                                         java.lang.Object[] args)

Create a new datatype exception by providing an error code and a list of error message substitution arguments.

Parameters:
  `key` - error code
  `args` - error arguments